Subject: [alpine-devel] [PATCH 01/25] testing/mate-terminal: new aport

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:07 +0000

---
 testing/mate-terminal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/mate-terminal/APKBUILD

diff --git a/testing/mate-terminal/APKBUILD b/testing/mate-terminal/APKBUILD
new file mode 100644
index 0000000..c5db777
--- /dev/null
+++ b/testing/mate-terminal/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=mate-terminal
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE terminal emulator"
+url="https://github.com/mate-desktop/mate-terminal"
+arch="all"
+license="GPL2"
+depends="mate-common yelp-tools mate-desktop"
+depends_dev=""
+makedepends="$depends_dev vte-dev autoconf automake libtool intltool glib-dev
+	dconf-dev libsm-dev itstool"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="5a592c36ae7d033f963b231231132633  mate-terminal-1.9.0.tar.xz"
+sha256sums="206d5136788da1c394b37e2e55fe56c2cfac3e06dd083b023033c3b6a52060f5  mate-terminal-1.9.0.tar.xz"
+sha512sums="adb9c00eda5292215c88a4367d28f60217c31c365cacc4b69be34aa1694151e764bed2eac7dfb6491f1a88b3d9f310d31ee26dc8974df8895b9a8f98701ff340  mate-terminal-1.9.0.tar.xz"
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:08 +0000

---
 testing/mate-desktop/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/testing/mate-desktop/APKBUILD b/testing/mate-desktop/APKBUILD
index 86c8f1d..2b568a6 100644
--- a/testing/mate-desktop/APKBUILD
+++ b/testing/mate-desktop/APKBUILD
@@ -2,18 +2,17 @@
 # Maintainer:
 pkgname=mate-desktop
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The MATE Desktop Environment"
 url="http://wiki.mate-desktop.org/mate-desktop"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools"
 depends_dev=""
-makedepends="autoconf automake gettext gtk+-dev libtool
-	gtk-doc intltool gdk-pixbuf-dev glib-dev dconf-dev
-	itstool libxrandr-dev"
+makedepends="gtk+-dev libtool itstool libxrandr-dev
+	gtk-doc intltool gdk-pixbuf-dev glib-dev dconf-dev"
 install=""
-subpackages=""
+subpackages="$pkgname-lang $pkgname-dev $pkgname-doc"
 source=" http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
@@ -29,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:09 +0000

---
 testing/mate-icon-theme/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/testing/mate-icon-theme/APKBUILD b/testing/mate-icon-theme/APKBUILD
index 498f8ea..4979c33 100644
--- a/testing/mate-icon-theme/APKBUILD
+++ b/testing/mate-icon-theme/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=mate-icon-theme
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE desktop icons"
-url="http://mate-desktop.org/"
+url="https://github.com/mate-desktop/mate-icon-theme"
 arch="noarch"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="icon-naming-utils gawk autoconf automake intltool gettext-dev"
+makedepends="icon-naming-utils gawk intltool"
 install=""
 subpackages=""
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -27,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:10 +0000

---
 testing/caja/APKBUILD | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/testing/caja/APKBUILD b/testing/caja/APKBUILD
index 193afa0..1cf5a6b 100644
--- a/testing/caja/APKBUILD
+++ b/testing/caja/APKBUILD
@@ -2,16 +2,15 @@
 # Maintainer:
 pkgname=caja
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The file manager for the MATE desktop"
 url="https://github.com/mate-desktop/caja"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool libunique-dev
-	intltool glib-dev pkgconfig gobject-introspection-dev gtk-doc
-	gtk+-dev dconf-dev libsm-dev"
+makedepends="$depends_dev libtool libunique-dev gtk+-dev dconf-dev libsm-dev
+	intltool glib-dev pkgconfig gobject-introspection-dev gtk-doc"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -29,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:11 +0000

---
 testing/marco/APKBUILD | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/testing/marco/APKBUILD b/testing/marco/APKBUILD
index 0d2dd35..8e6f483 100644
--- a/testing/marco/APKBUILD
+++ b/testing/marco/APKBUILD
@@ -2,16 +2,16 @@
 # Maintainer:
 pkgname=marco
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE window manager"
 url="https://github.com/mate-desktop/marco"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool glib-dev
-	intltool libxcomposite-dev libxcursor-dev libgtop-dev
-	libcanberra-dev zenity itstool gobject-introspection-dev"
+makedepends="$depends_dev libtool glib-dev itstool zenity intltool 
+	libxcomposite-dev libxcursor-dev libgtop-dev libcanberra-dev
+	gobject-introspection-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -29,7 +29,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || retrun 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make CFLAGS='-D_GNU_SOURCE' || return 1
 }
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:12 +0000

---
 testing/mate-backgrounds/APKBUILD | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/testing/mate-backgrounds/APKBUILD b/testing/mate-backgrounds/APKBUILD
index 4117df6..b0139f7 100644
--- a/testing/mate-backgrounds/APKBUILD
+++ b/testing/mate-backgrounds/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=mate-backgrounds
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Background images and data for MATE"
 url="https://github.com/mate-desktop/mate-backgrounds"
 arch="noarch"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev autoconf automake intltool glib-dev"
+makedepends="$depends_dev intltool glib-dev"
 install=""
 subpackages="$pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -27,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:13 +0000

---
 testing/mate-menus/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/testing/mate-menus/APKBUILD b/testing/mate-menus/APKBUILD
index c4f5e38..34d909f 100644
--- a/testing/mate-menus/APKBUILD
+++ b/testing/mate-menus/APKBUILD
@@ -2,15 +2,14 @@
 # Maintainer:
 pkgname=mate-menus
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="The libmate-menu library, the layout configuration files for the MATE menu, as well as a simple menu editor"
 url="https://github.com/mate-desktop/mate-menus"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool intltool glib-dev
-	gobject-introspection-dev"
+makedepends="$depends_dev libtool intltool glib-dev gobject-introspection-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -28,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:14 +0000

---
 testing/libmatekbd/APKBUILD | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/testing/libmatekbd/APKBUILD b/testing/libmatekbd/APKBUILD
index 9ac4ba2..ca584ea 100644
--- a/testing/libmatekbd/APKBUILD
+++ b/testing/libmatekbd/APKBUILD
@@ -2,17 +2,16 @@
 # Maintainer:
 pkgname=libmatekbd
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE keyboard library"
 url="https://github.com/mate-desktop/libmatekbd"
 arch="all"
 license="GPL2"
 depends="mate-common freetype"
 depends_dev=""
-makedepends="$depends_dev libxklavier-dev autoconf automake libtool intltool
-	glib-dev gtk+-dev"
+makedepends="$depends_dev libxklavier-dev libtool intltool glib-dev gtk+-dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"

 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:15 +0000

---
 testing/libmateweather/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/testing/libmateweather/APKBUILD b/testing/libmateweather/APKBUILD
index 99184fc..fc539d4 100644
--- a/testing/libmateweather/APKBUILD
+++ b/testing/libmateweather/APKBUILD
@@ -2,17 +2,16 @@
 # Maintainer:
 pkgname=libmateweather
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="A library to access weather information from online services for numerous locations"
 url="https://github.com/mate-desktop/libmateweather"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev libsoup-dev autoconf automake libtool intltool glib-dev
-	gtk+-dev gtk-doc"
+makedepends="$depends_dev libsoup-dev libtool intltool glib-dev gtk+-dev gtk-doc"
 install=""
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
@@ -28,8 +27,12 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr \
-	--with-zoneinfo-dir || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--with-zoneinfo-dir \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:16 +0000

---
 testing/mate-settings-daemon/APKBUILD | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/testing/mate-settings-daemon/APKBUILD b/testing/mate-settings-daemon/APKBUILD
index 6f15a6a..9641c8a 100644
--- a/testing/mate-settings-daemon/APKBUILD
+++ b/testing/mate-settings-daemon/APKBUILD
@@ -2,16 +2,15 @@
 # Maintainer:
 pkgname=mate-settings-daemon
 pkgver=1.9.5
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE Settings daemon"
 url="https://github.com/mate-desktop/mate-settings-daemon"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool intltool
-	glib-dev gtk+-dev dbus-glib-dev dconf-dev libxklavier-dev
-	libmatekbd-dev freeglut-dev libsm-dev"
+makedepends="$depends_dev libtool intltool libmatekbd-dev freeglut-dev
+	glib-dev gtk+-dev dbus-glib-dev dconf-dev libxklavier-dev libsm-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -29,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:17 +0000

---
 testing/mate-control-center/APKBUILD | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/testing/mate-control-center/APKBUILD b/testing/mate-control-center/APKBUILD
index 8352041..e34bec9 100644
--- a/testing/mate-control-center/APKBUILD
+++ b/testing/mate-control-center/APKBUILD
@@ -2,16 +2,16 @@
 # Maintainer:
 pkgname=mate-control-center
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE's main interface for configuration of various aspects of your desktop"
 url="https://github.com/mate-desktop/mate-control-center"
 arch="all"
 license="GPL2"
 depends="mate-common mate-menus mate-desktop mate-icon-theme desktop-file-utils"
 depends_dev=""
-makedepends="$depends_dev dbus-glib-dev autoconf automake libtool intltool
-	glib-dev itstool gtk+2.0-dev dconf-dev mate-menus-dev libunique-dev
-	marco-dev mate-settings-daemon-dev libmatekbd-dev libxklavier-dev"
+makedepends="$depends_dev dbus-glib-dev libtool intltool itstool gtk+2.0-dev
+	dconf-dev mate-menus-dev libunique-dev marco-dev mate-settings-daemon-dev
+	libmatekbd-dev libxklavier-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -29,7 +29,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:18 +0000

---
 testing/mate-notification-daemon/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/testing/mate-notification-daemon/APKBUILD b/testing/mate-notification-daemon/APKBUILD
index ce25b46..f842584 100644
--- a/testing/mate-notification-daemon/APKBUILD
+++ b/testing/mate-notification-daemon/APKBUILD
@@ -2,15 +2,15 @@
 # Maintainer:
 pkgname=mate-notification-daemon
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Small, passive popup dialogs that notify the user of particular events"
 url="https://github.com/mate-desktop/mate-notification-daemon"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev libwnck-dev libnotify-dev autoconf automake libtool
-	intltool glib-dev startup-notification-dev dbus-glib-dev libcanberra-dev"
+makedepends="$depends_dev libwnck-dev libnotify-dev libtool intltool dbus-glib-dev
+	libcanberra-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -28,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:19 +0000

---
 testing/mate-session-manager/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/testing/mate-session-manager/APKBUILD b/testing/mate-session-manager/APKBUILD
index cdb4bd7..24751d6 100644
--- a/testing/mate-session-manager/APKBUILD
+++ b/testing/mate-session-manager/APKBUILD
@@ -2,15 +2,15 @@
 # Maintainer:
 pkgname=mate-session-manager
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The MATE session manager"
 url="https://github.com/mate-desktop/mate-session-manager"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev autoconf automake intltool glib-dev gettext-dev
-	libtool dbus-glib-dev gtk+-dev dconf-dev libsm-dev"
+makedepends="$depends_dev intltool libtool dconf-dev dbus-glib-dev gtk+-dev
+	libsm-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -28,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:20 +0000

---
 testing/mate-panel/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/testing/mate-panel/APKBUILD b/testing/mate-panel/APKBUILD
index d6d477c..38ffc6f 100644
--- a/testing/mate-panel/APKBUILD
+++ b/testing/mate-panel/APKBUILD
@@ -2,17 +2,16 @@
 # Maintainer:
 pkgname=mate-panel
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The MATE panel is the area on your desktop from which you can run applications"
 url="https://github.com/mate-desktop/mate-panel"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev librsvg-dev libmateweather-dev autoconf automake libtool
-	intltool glib-dev gtk-doc yelp-tools gobject-introspection-dev libice-dev
-	libsm-dev libcanberra-dev dbus-glib-dev mate-menus-dev dconf-dev libwnck-dev
-	libsoup-dev itstool"
+makedepends="$depends_dev librsvg-dev libmateweather-dev libtool intltool itstool
+	mate-menus-dev dconf-dev libice-dev libsm-dev libcanberra-dev dbus-glib-dev
+	libwnck-dev libsoup-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -30,7 +29,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:21 +0000

---
 testing/mate-polkit/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/testing/mate-polkit/APKBUILD b/testing/mate-polkit/APKBUILD
index 9c8f739..d9fff2c 100644
--- a/testing/mate-polkit/APKBUILD
+++ b/testing/mate-polkit/APKBUILD
@@ -2,15 +2,15 @@
 # Maintainer:
 pkgname=mate-polkit
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE Authentication Agent for PolicyKit"
 url="https://github.com/mate-desktop/mate-polkit"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev polkit-dev autoconf automake libtool intltool gtk-doc
-	glib-dev gtk+-dev gobject-introspection-dev"
+makedepends="$depends_dev polkit-dev libtool intltool gtk+-dev 
+	gobject-introspection-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -28,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:22 +0000

---
 testing/mate-themes/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/testing/mate-themes/APKBUILD b/testing/mate-themes/APKBUILD
index 7e6a8d8..378814c 100644
--- a/testing/mate-themes/APKBUILD
+++ b/testing/mate-themes/APKBUILD
@@ -2,15 +2,14 @@
 # Maintainer:
 pkgname=mate-themes
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE themes"
 url="https://github.com/mate-desktop/mate-themes"
 arch="noarch"
 license="LGPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev autoconf automake intltool glib-dev gdk-pixbuf-dev gtk+-dev
-	icon-naming-utils"
+makedepends="$depends_dev intltool gdk-pixbuf-dev gtk+-dev icon-naming-utils"
 install=""
 subpackages="$pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -28,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:23 +0000

---
 testing/mate-terminal/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/testing/mate-terminal/APKBUILD b/testing/mate-terminal/APKBUILD
index c5db777..988db01 100644
--- a/testing/mate-terminal/APKBUILD
+++ b/testing/mate-terminal/APKBUILD
@@ -2,15 +2,14 @@
 # Maintainer:
 pkgname=mate-terminal
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE terminal emulator"
 url="https://github.com/mate-desktop/mate-terminal"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools mate-desktop"
 depends_dev=""
-makedepends="$depends_dev vte-dev autoconf automake libtool intltool glib-dev
-	dconf-dev libsm-dev itstool"
+makedepends="$depends_dev libtool intltool dconf-dev libsm-dev itstool vte-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
@@ -28,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
 
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:24 +0000

---
 testing/mate-desktop/APKBUILD | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/testing/mate-desktop/APKBUILD b/testing/mate-desktop/APKBUILD
index 2b568a6..f01c27d 100644
--- a/testing/mate-desktop/APKBUILD
+++ b/testing/mate-desktop/APKBUILD
@@ -2,15 +2,14 @@
 # Maintainer:
 pkgname=mate-desktop
 pkgver=1.9.3
-pkgrel=1
+pkgrel=2
 pkgdesc="The MATE Desktop Environment"
 url="http://wiki.mate-desktop.org/mate-desktop"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools"
 depends_dev=""
-makedepends="gtk+-dev libtool itstool libxrandr-dev
-	gtk-doc intltool gdk-pixbuf-dev glib-dev dconf-dev"
+makedepends="$depends_dev itstool intltool dconf-dev gtk+-dev libxrandr-dev"
 install=""
 subpackages="$pkgname-lang $pkgname-dev $pkgname-doc"
 source=" http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:25 +0000

---
 testing/mate-icon-theme/APKBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/testing/mate-icon-theme/APKBUILD b/testing/mate-icon-theme/APKBUILD
index 4979c33..10abb14 100644
--- a/testing/mate-icon-theme/APKBUILD
+++ b/testing/mate-icon-theme/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="icon-naming-utils gawk intltool"
+makedepends="icon-naming-utils intltool"
 install=""
 subpackages=""
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:26 +0000

---
 testing/caja/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/testing/caja/APKBUILD b/testing/caja/APKBUILD
index 1cf5a6b..7f4b65f 100644
--- a/testing/caja/APKBUILD
+++ b/testing/caja/APKBUILD
@@ -2,15 +2,15 @@
 # Maintainer:
 pkgname=caja
 pkgver=1.9.3
-pkgrel=1
+pkgrel=2
 pkgdesc="The file manager for the MATE desktop"
 url="https://github.com/mate-desktop/caja"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev libtool libunique-dev gtk+-dev dconf-dev libsm-dev
-	intltool glib-dev pkgconfig gobject-introspection-dev gtk-doc"
+makedepends="$depends_dev intltool libtool dconf-dev gtk+-dev libunique-dev
+	libsm-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:27 +0000

---
 testing/marco/APKBUILD | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/testing/marco/APKBUILD b/testing/marco/APKBUILD
index 8e6f483..da8fba9 100644
--- a/testing/marco/APKBUILD
+++ b/testing/marco/APKBUILD
@@ -2,16 +2,15 @@
 # Maintainer:
 pkgname=marco
 pkgver=1.9.3
-pkgrel=1
+pkgrel=2
 pkgdesc="MATE window manager"
 url="https://github.com/mate-desktop/marco"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools"
 depends_dev=""
-makedepends="$depends_dev libtool glib-dev itstool zenity intltool 
-	libxcomposite-dev libxcursor-dev libgtop-dev libcanberra-dev
-	gobject-introspection-dev"
+makedepends="$depends_dev libtool itstool zenity intltool glib-dev gtk+-dev
+	libxcomposite-dev libcanberra-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:28 +0000

---
 testing/mate-backgrounds/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/testing/mate-backgrounds/APKBUILD b/testing/mate-backgrounds/APKBUILD
index b0139f7..a5a73a1 100644
--- a/testing/mate-backgrounds/APKBUILD
+++ b/testing/mate-backgrounds/APKBUILD
@@ -2,16 +2,16 @@
 # Maintainer:
 pkgname=mate-backgrounds
 pkgver=1.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Background images and data for MATE"
 url="https://github.com/mate-desktop/mate-backgrounds"
 arch="noarch"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev intltool glib-dev"
+makedepends="$depends_dev intltool"
 install=""
-subpackages="$pkgname-lang"
+subpackages=""
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:29 +0000

---
 testing/mate-menus/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/mate-menus/APKBUILD b/testing/mate-menus/APKBUILD
index 34d909f..509d463 100644
--- a/testing/mate-menus/APKBUILD
+++ b/testing/mate-menus/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=mate-menus
 pkgver=1.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="The libmate-menu library, the layout configuration files for the MATE menu, as well as a simple menu editor"
 url="https://github.com/mate-desktop/mate-menus"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev libtool intltool glib-dev gobject-introspection-dev"
+makedepends="$depends_dev libtool intltool glib-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:30 +0000

---
 testing/libmatekbd/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/libmatekbd/APKBUILD b/testing/libmatekbd/APKBUILD
index ca584ea..dc21820 100644
--- a/testing/libmatekbd/APKBUILD
+++ b/testing/libmatekbd/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=libmatekbd
 pkgver=1.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="MATE keyboard library"
 url="https://github.com/mate-desktop/libmatekbd"
 arch="all"
 license="GPL2"
 depends="mate-common freetype"
 depends_dev=""
-makedepends="$depends_dev libxklavier-dev libtool intltool glib-dev gtk+-dev"
+makedepends="$depends_dev libxklavier-dev libtool intltool gtk+-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---

---

From: Alan Lacerda <[email-masked]>
Date: Fri, 19 Dec 2014 10:26:31 +0000

---
 testing/libmateweather/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/libmateweather/APKBUILD b/testing/libmateweather/APKBUILD
index fc539d4..577bc07 100644
--- a/testing/libmateweather/APKBUILD
+++ b/testing/libmateweather/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=libmateweather
 pkgver=1.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A library to access weather information from online services for numerous locations"
 url="https://github.com/mate-desktop/libmateweather"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev libsoup-dev libtool intltool glib-dev gtk+-dev gtk-doc"
+makedepends="$depends_dev libsoup-dev libtool intltool gtk+-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
-- 
2.1.3

---